## bash-completion 2.1

=== test/fixtures/make/Makefile ===
NAME := sample

.PHONY: all
all: $(NAME)

$(NAME): sample.c
	cc -o $@ $^

.PHONY: install
install: all
	mkdir -p /usr/bin
	install -m 755 $(NAME) /usr/bin

.PHONY: clean
clean:
	-rm -f $(NAME)

## bash-completion 1.2

=== debian/changelog ===
bash-completion (1:1.2-3) unstable; urgency=low

  * Provide a saner upgrade path from older bash packages, which
    shipped /etc/bash_completion (Closes: #564254)

 -- David Paleino <dapal@debian.org>  Tue, 16 Nov 2010 09:06:24 +0100

bash-completion (1:1.2-2) unstable; urgency=low

  * debian/patches/:
    - 00-fix_586210.patch added, fixes a weird error while loading
      service(8) completions. Thanks to John Hedges (Closes: #586210)
  * debian/control:
    - added Replaces: cryptsetup (Closes: #586161)

 -- David Paleino <dapal@debian.org>  Sun, 20 Jun 2010 09:57:35 +0200

bash-completion (1:1.2-1) unstable; urgency=low

  * New upstream release
    - contrib/munin-node fixed (Closes: #550943)
    - contrib/dpkg fixed -W and --show completing on .?(u)deb's
      (Closes: #552109)
    - added munindoc completion to contrib/munin-node, thanks to Tom
      Feiner (Closes: #553371)
    - contrib/cpio: added missing completions for -?, --help, --license,
      --usage, --version and (-p) --to-stdout (Closes: #557436)
    - added .okular completion to okular (Closes: #545530)
    - refreshed reportbug completion, added --from-buildd (Closes: #579471)
    - special-case "apt-get source" (Closes: #572000)
    - added lintian completion (Closes: #547361)
    - protect various completions from unusual user input by not embedding the
      input in external command arguments (Closes: #552631)
    - awk and sed usage portability fixes (Closes: #501479)
    - fix completion of usernames (Closes: #511788)
    - fix mount handling of escapes (LP: #219971, Closes: #511149)
    - update find completion (LP: #570113)
  * debian/patches/* removed, merged upstream
  * debian/control:
    - add Conflicts/Replaces on xen-tools (<= 4.1-1) (Closes: #550590)
    - Standards-Version bumped to 3.8.4, no changes needed
  * debian/links: remove dangling symlink in /usr/share/doc/bash
    (Closes: #565447)
  * debian/watch: fix regex to avoid old timestamp-based releases
  * debian/preinst: definitely remove anything in /usr/share/doc/bash/
  * debian/source/format: using 3.0 (quilt)
  * debin/rules made minimal

 -- David Paleino <dapal@debian.org>  Wed, 16 Jun 2010 19:03:06 +0200

bash-completion (1:1.1-3) unstable; urgency=low

  * debian/patches/03-fix_552631.patch fixed (Closes: #556251)

 -- David Paleino <dapal@debian.org>  Sat, 14 Nov 2009 23:42:55 +0100

bash-completion (1:1.1-2) unstable; urgency=low

  * debian/control, debian/rules: added quilt infrastructure
  * debian/README.source added
  * debian/patches/:
    - 01-fix_550943.patch added, fixes function names (Closes: #550943)
    - 02-fix_552109.patch added, fixes -W and --show completion for
      dpkg-deb (Closes: #552109)
    - 03-fix_552631.patch added (Closes: #552631)
  * debian/control:
    - updated my email address
    - DMUA removed

 -- David Paleino <dapal@debian.org>  Sat, 14 Nov 2009 18:10:49 +0100

bash-completion (1:1.1-1) unstable; urgency=low

  * New upstream release
    - fix svk completion using $filenames instead of $default
      (Closes: #524961)
    - fix typo in .ass subtitles completion for mplayer
      (Closes: #531337)
    - fix regression on man(1) completion: also complete on local .3pm
      files (Closes: #531343)
    - added avahi-discovered hosts to _known_hosts_real()
      (Closes: #518561)
    - added m4v completion to mplayer (Closes: #504213)
    - improve qemu completion (Closes: #534901)
    - added sshfs completion (shares the same as scp) (Closes: #545978)
    - added --no-generate to "apt-cache pkgnames" calls, make it faster
      on certain configurations (Closes: #547550)
    - add *.ogv to xine-based players (Closes: #540033)
    - fix sbcl file/dirname completion (Closes: #545743)
    - fix _quote_readline on bash 4 (Closes: #544024)
    - patched _known_hosts() to support multiple
      {Global,User}KnownHosts in SSH config files, thanks to Thomas
      Nilsson (Closes: #524190)
    - fix completing multiple hosts (Closes: #535585)
  * debian/extra/bash-completion.pm moved to bash_completion.pm
    (Closes: #535105)
  * debian/patches/ removed, merged upstream
  * debian/rules:
    - passing debian/CHANGES to dh_installchangelogs, it's missing from
      upstream tarball :(
    - rewritten using dh7
  * debian/control:
    - debhelper Build-Dependency bumped to >= 7.0.50
    - removed quilt Build-Dependency, no more used
    - added ${misc:Depends} dependency
    - Standards-Version bumped to 3.8.3, no changes needed
  * debian/compat bumped to 7
  * debian/docs added
  * debian/install updated, using upstream buildsystem

 -- David Paleino <d.paleino@gmail.com>  Sat, 10 Oct 2009 18:11:00 +0200

bash-completion (1:1.0-3) unstable; urgency=low

  * debian/extra/bash-completion.pm added, thanks to Ryan Niebur
    (Closes: #530598)
  * debian/rules: added quilt support
  * debian/control: added quilt Build-Depends
  * debian/patches/:
    - 01-529510.patch added, checks for GNUish userland fail on
      GNU/kFreeBSD, GNU/kOpenSolaris, etc (Closes: #529510)
    - 02-514377.patch added, assumes .gz files can't be concatenated
      (Closes: #514377)
    - 03-522656.patch added, evince supports compressed dvi files
      (Closes: #522656)
    - 04-495883.patch added, aptitude: add build-dep to bash_completion
      (Closes: #495883)

 -- David Paleino <d.paleino@gmail.com>  Sat, 30 May 2009 19:36:14 +0200

bash-completion (1:1.0-2) unstable; urgency=low

  * Remove mtx completion from bash_completion.d/ (Closes: #522545)

 -- David Paleino <d.paleino@gmail.com>  Sat, 04 Apr 2009 21:16:38 +0200

bash-completion (1:1.0-1) unstable; urgency=low

  * New upstream release:
    - also see /usr/share/doc/bash-completion/changelog.gz
    - fix man -l completing filenames (Closes: #497074)
    - (Partly) fixed java classes completion (Closes: #496828). Look for
      FIXME in source.
    - dump to /dev/null error message from look(1) with no arguments
      (Closes: #495142)


=== debian/control ===
Source: bash-completion
Section: shells
Priority: standard
Maintainer: Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50)
Build-Depends-Indep: perl
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/bash-completion/debian.git
Vcs-Browser: http://git.debian.org/?p=bash-completion/debian.git
Homepage: http://bash-completion.alioth.debian.org

Package: bash-completion
Architecture: all
Depends:
 bash (>= 3.2)
 , ${misc:Depends}
Conflicts: xen-tools (<= 4.1-1)
Replaces:
 bash
 , xen-tools (<= 4.1-1)
 , cryptsetup (<< 2:1.1.2-2)
Description: programmable completion for the bash shell
 bash completion extends bash's standard completion behavior to achieve
 complex command lines with just a few keystrokes.  This project was
 conceived to produce programmable completion routines for the most
 common Linux/UNIX commands, reducing the amount of typing sysadmins
 and programmers need to do on a daily basis.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION=$(shell parsechangelog | grep ^Version | awk -F": " '{print $$2}' | cut -d"-" -f1)

override_dh_auto_configure:
	dh_auto_configure

	# needed by the testsuite
	[ -d test/log ] || mkdir -p test/log
	[ -d test/tmp ] || mkdir -p test/tmp

override_dh_compress:
	dh_compress -Xcontrib

override_dh_installchangelogs:
	dh_installchangelogs debian/CHANGES

dh_bash-completion.1: debian/extra/dh_bash-completion
	pod2man \
		--center "Bash-Completion Debhelper" \
		--release $(VERSION) \
		$< > debian/extra/$@

override_dh_install:
	dh_install
	for i in mtx; do \
		rm -vf debian/bash-completion/etc/bash_completion.d/$$i; \
	done

override_dh_auto_test:
	# nothing

%:
	dh $@

=== debian/watch ===
version=3
opts=uversionmangle=s/^(200.*)/0.\1/ \
http://bash-completion.alioth.debian.org/files/bash-completion-(\d+.*)\.tar\.gz

## bash-completion 1.3

=== debian/changelog ===
bash-completion (1:1.3-3) experimental; urgency=low

  * Include install-completions from upstream
  * Use new mechanism to symlink completions (Closes: #623880)

 -- David Paleino <dapal@debian.org>  Mon, 25 Apr 2011 14:38:24 +0200

bash-completion (1:1.3-2) experimental; urgency=low

  * Change completion directory layout (00-change_completions_layout.patch)
  * Use autoreconf in debian/rules
  * Implement dpkg triggers and update-bash-completion script, and monthly
    cronjob to clean up unused completions.
  * Remove old UCF-related postinst tasks
  * Remove old conffiles, using dpkg-maintscript-helper
  * Added debian/NEWS, to explain the changes with this revision
  * Use Breaks+Replaces xen-tools, because of conflicting files
  * Added debian/README.Debian with instructions on the new layout,
    and how to enable completions

 -- David Paleino <dapal@debian.org>  Tue, 12 Apr 2011 12:15:12 +0200

bash-completion (1:1.3-1) unstable; urgency=low

  * New upstream release
    - Fixed "service" completion, thanks to John Hedges (Closes: #586210)
    - Fixed typo in openssl completion (Closes: #609552)
    - Added ip completion (Closes: #600617)
    - Added _tilde(), fix ~username completion (Closes: #587095)
    - Add *.webm to mplayer file completions (Closes: #588079).
  * debian/watch: fix to handle .tar.bz2 files
  * Bump Standards-Version to 3.9.1, no changes needed
  * Install upstream CHANGES file
  * Update copyright years in debian/copyright
  * debian/rules: reflect new source layout

 -- David Paleino <dapal@debian.org>  Sun, 06 Feb 2011 22:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50)
+ , dh-autoreconf
 Build-Depends-Indep: perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/bash-completion/debian.git
 Vcs-Browser: http://git.debian.org/?p=bash-completion/debian.git
 Homepage: http://bash-completion.alioth.debian.org
@@ -16,7 +17,7 @@
 Depends:
  bash (>= 3.2)
  , ${misc:Depends}
-Conflicts: xen-tools (<= 4.1-1)
+Breaks: xen-tools (<= 4.1-1)
 Replaces:
  bash
  , xen-tools (<= 4.1-1)

## bash-completion 1.90

=== debian/changelog ===
bash-completion (1:1.90-1) experimental; urgency=low

  * bash-completion 2 preview: dynamic loading of completions
    - optionally fallback to generic file completion if _filedir
      returns nothing (Closes: #619014, LP: #533985)
    - various fixes (Closes: #622383)
    - apt: add 'download' to subcommands (Closes: #625234, LP: #720541)
    - aptitude: add 'versions' command (Closes: #604393)
    - dpkg-query: use the 'dpkg' completion (Closes: #642526)
    - lintian: remove --unpack-level (Closes: #623680)
    - rrdtool: complete filenames after commands (Closes: #577933)
    - provide profile.d hook for per user disabling of bash_completion
      (Closes: #593835)
    - mutt: support tildes when recursively sourcing muttrc files
      (Closes: #615134)
    - tar: improve tar *[cr]*f completions (Closes: #618734)
  * More checks in update-bash-completion: avoid unnecessary
    sourcing of completion if symlink already exists
  * Add message for users before they report a bug (debian/bug-presubj),
    I'm kind of fed-up with bugs caused by acroread.sh :/
  * Removed patches merged upstream
  * Drop trigger-based completion loading
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 03 Nov 2011 13:03:51 +0100

## bash-completion 1.99

=== debian/changelog ===
bash-completion (1:1.99-3) unstable; urgency=low

  * Fixed issue when loading completions from the /etc/bash_completion
    symlink.

 -- David Paleino <dapal@debian.org>  Wed, 11 Jan 2012 14:41:37 +0100

bash-completion (1:1.99-2) unstable; urgency=low

  * Make /etc/bash_completion a symlink to the new location, waiting
    for bash to update its scripts (Closes: #648319)
  * Dropped debian/NEWS
  * Drop references to old triggers-mechanism (Closes: #655286)

 -- David Paleino <dapal@debian.org>  Tue, 10 Jan 2012 07:26:30 +0100

bash-completion (1:1.99-1) unstable; urgency=low

  * Uploading to unstable
  * New upstream pre-2.x snapshot
    - correctly list purgeable packages for dpkg --listfiles and dpkg
      --purge (Closes: #647684)
    - fix bash_completion paths in README (Closes: #647941)
    - _known_hosts_real: Handle more than two hostnames per known hosts
      line (Closes: #647352)
    - _known_hosts_real: Support > 1 files per *KnownHostsFile line
      (Closes: #650514)

 -- David Paleino <dapal@debian.org>  Sun, 08 Jan 2012 00:29:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 7.0.50)
  , dh-autoreconf
 Build-Depends-Indep: perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/bash-completion/debian.git
 Vcs-Browser: http://git.debian.org/?p=bash-completion/debian.git
 Homepage: http://bash-completion.alioth.debian.org

## bash-completion 2.0

=== debian/changelog ===
bash-completion (1:2.0-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream version
    - Recognise symlinks to directories as directories (Closes: #666055)
    - sudo -e should list filenames instead of commands (Closes: #446355)
    - ri completion: defines function outside _* namespace (Closes: #669178)
    - overrides lyx's bash-completion (Closes: #662203)
    - complete 'apt-get changelog' (Closes: #659395)
    - sudo su {user} -c "sss failing because of quotation (LP: #783136)
    - scp and rsync error on local path completion (LP: #772571)
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright
  * Added Pre-Depends on dpkg because of dpkg-maintscript-helper

  [ Jonathan Nieder ]
  * Replace /etc/bash_completion symlink with a shim script (Closes: #669180)
  * Remove no longer needed symlink-issue patch
  * Remove /etc/bash_completion symlink to make room for shim script
    on upgrade from versions 1:1.99-2 and 1:1.99-3.

 -- David Paleino <dapal@debian.org>  Sun, 17 Jun 2012 21:08:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
  debhelper (>= 7.0.50)
  , dh-autoreconf
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/bash-completion/debian.git
 Vcs-Browser: http://git.debian.org/?p=bash-completion/debian.git
 Homepage: http://bash-completion.alioth.debian.org
 
 Package: bash-completion
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2~)
 Depends:
  bash (>= 3.2)
  , ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -14,16 +14,16 @@
 	[ -d test/tmp ] || mkdir -p test/tmp
 
 override_dh_compress:
-	dh_compress -Xcontrib
+	dh_compress -Xcompletions
 
 override_dh_installchangelogs:
-	dh_installchangelogs debian/CHANGES
+	dh_installchangelogs CHANGES
 
-dh_bash-completion.1: debian/extra/dh_bash-completion
+dh_bash-completion.1: debian/extra/debhelper/dh_bash-completion
 	pod2man \
 		--center "Bash-Completion Debhelper" \
 		--release $(VERSION) \
-		$< > debian/extra/$@
+		$< > debian/extra/debhelper/$@
 
 override_dh_install:
 	dh_install
@@ -35,4 +35,5 @@
 	# nothing
 
 %:
-	dh $@
+	dh $@ \
+		--with autoreconf

## bash-completion 2.1

=== debian/changelog ===
bash-completion (1:2.1-4ubuntu0.2) trusty; urgency=medium

  [Ove Risberg]
  * Add backslash for tilde character (LP: #1390061)
    - _quote_readline_by_ref on bash_completion 
    - Adding backslash makes sure that 
      tilde is not special character for bash, but character for purpose    

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 29 Apr 2016 10:55:55 +0900

bash-completion (1:2.1-4ubuntu0.1) trusty-proposed; urgency=medium

  * debian/patches/14-add-apt-bts747094.patch:
    - Add support for the new "apt" command. (LP: #1358154)

 -- Simon Deziel <simon.deziel@gmail.com>  Fri, 14 Aug 2015 08:03:55 -0700

bash-completion (1:2.1-4) unstable; urgency=medium

  * Fix dont_return_from_sourced_script.patch: typo during the patch
    backport (Closes: #742362)

 -- David Paleino <dapal@debian.org>  Sat, 22 Mar 2014 21:57:39 +0100

bash-completion (1:2.1-3) unstable; urgency=medium

  * Import patch from Ubuntu:
    - fix_quote_readline_by_ref.patch, thanks to JuanJo Ciarlante
      (Closes: #739835):
      + avoid escaping 1st '~' (LP: #1288314)
      + avoid quoting if empty, else expansion without args only shows
        dirs (LP: #1288031)
      + replace double escaping to single (eg for completing file/paths
        with spaces)
    - words_bad_array_subscript.patch, thanks to Barry Warsaw
    - dpkg_ddeb.patch: dpkg also supports *.ddeb, thanks to Sebastien
      Bacher (LP: #568404, Closes: #737881)
    - disable_avahi_browse.patch: slow, and doesn't scale to big
      networks, thanks to Chris Jones (Closes: #574950, LP: #510591)
    - xine_add_more_formats.patch: add oga and ogx to multimedia players
      (Closes: #496162, LP: #311525)
  * debian/maintscript, debian/postinst:
    - clean etc conffiles on upgrade since completion files are in /usr
      with 2.0, thanks to Sebastien Bacher
  * debian/control: marked Multi-Arch: foreign
  * debian/patches/:
    - fix_gcc_detection.patch, correctly parses Debian's GCC version
      number, thanks to Tomas Janousek (Closes: #665651)
    - xpdf_support_compressed_pdf.patch, in Debian xpdf also supports
      compressed files, thanks to Alfredo Finelli (Closes: #702498)
    - dpkg_support_raw-extract_vextract.patch: add support for more
      options in dpkg-deb, thanks to Uwe Storbeck (Closes: #698977)
    - dpkg_fix_-W_option.patch: -W|--show doesn't support udebs/ddebs,
      thanks to Luca Capello (Closes: #697513)
    - aptitude_safe-upgrade.patch: safe-upgrade supports package names,
      thanks to Nicolas Le Cam (Closes: #673235)
    - ifconfig_locale.patch: _mac_addresses() didn't consider locale
      awareness of ifconfig, thanks to Thilo Six (Closes: #704832)
    - dont_return_from_sourced_script.patch: avoid problems with shells
      not supporting returning from a sourced script (Closes: #741657)
    - look_for_pod.patch: perldoc: look for .pod in addition to .pm
      files, thanks to Carl Hayter (Closes: #708173)
  * debian/extra/debhelper/dh_bash-completion: fix installation process
    when more than one "proper snippet" is being installed, thanks to
    Jean-Michel Vourgère (Closes: #680852)
  * Dropped completions included in util-linux (Closes: #737672)

 -- David Paleino <dapal@debian.org>  Wed, 19 Mar 2014 11:44:27 +0100

bash-completion (1:2.1-2) unstable; urgency=low

  * Don't install nmcli completion (Closes: #728742).

 -- David Paleino <dapal@debian.org>  Tue, 05 Nov 2013 00:12:48 +0100

bash-completion (1:2.1-1) unstable; urgency=low

  * New upstream version:
    - fusermount: Complete curlftpfs-mounts for "fusermount -u"
      (Closes: #685377)
    - colormake: New make alias completion (LP: #743208, Closes: #682557)
    - ssh: Add -O argument completion (Closes: #680652)
    - tar: Support *.tar.lz (Closes: #703599)
  * Fixed typo in README.Debian (Closes: #689843)
  * Use canonical Vcs-* urls.
  * Standards-Version bump to 3.9.5, no changes needed.
  * debhelper compatibility bumped to 9.
  * Updated debian/copyright.

 -- David Paleino <dapal@debian.org>  Mon, 04 Nov 2013 18:08:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: bash-completion
 Section: shells
 Priority: standard
-Maintainer: Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50)
+ debhelper (>= 9~)
  , dh-autoreconf
 Build-Depends-Indep: perl
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/bash-completion/debian.git
-Vcs-Browser: http://git.debian.org/?p=bash-completion/debian.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/bash-completion/debian.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=bash-completion/debian.git
 Homepage: http://bash-completion.alioth.debian.org
 
 Package: bash-completion
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: dpkg (>= 1.15.7.2~)
 Depends:
  bash (>= 3.2)

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 VERSION=$(shell parsechangelog | grep ^Version | awk -F": " '{print $$2}' | cut -d"-" -f1)
+REMOVE=nmcli hwclock ionice mock modules rtcwake
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -30,6 +31,9 @@
 	for i in mtx; do \
 		rm -vf debian/bash-completion/etc/bash_completion.d/$$i; \
 	done
+	for i in $(REMOVE); do \
+	    rm -vf debian/bash-completion/usr/share/bash-completion/completions/$$i; \
+	done
 
 override_dh_auto_test:
 	# nothing

## bash-completion 2.8

=== debian/changelog ===
bash-completion (1:2.8-6) unstable; urgency=medium

  [Gabriel F. T. Gomes <gabriel@inconstante.eti.br>]
  * Fix bad array subscript error with slash.  (Closes: #923167)

  [Daniel Lewart <lewart3@gmail.com>]
  * Fix warning message for non-existent /etc/bash_completion.d.
    (Closes: #923210)

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Fri, 01 Mar 2019 18:41:48 -0300

bash-completion (1:2.8-5) unstable; urgency=medium

  * Fix perl completions with a space between option and argument.
    (Closes: #614775)
  * Fix COMP_FILEDIR_FALLBACK to address comment #45 on bug #550676
    (https://bugs.debian.org/550676#45).  (Closes: #550676)
  * Remove obsolete conffiles from very old versions.  (Closes: #645439)
  * Remove patch to disable completion with avahi-browse for everyone.
    Completion with avahi-browse is still disabled by default.  To enable it,
    set COMP_KNOWN_HOSTS_WITH_AVAHI to anything.  (See #574950)

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Fri, 21 Dec 2018 22:34:39 -0200

bash-completion (1:2.8-4) unstable; urgency=medium

  * Allow `+' in (ssh/know_hosts) hostnames.  (Closes: #848125)
  * Add completions for OpenRC rc-service.  (Closes: #865548)
  * Add zstd completions for tar.  (Closes: #913949)

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Sat, 17 Nov 2018 23:36:41 -0200

bash-completion (1:2.8-3) unstable; urgency=medium

  [G. Branden Robinson <g.branden.robinson@gmail.com>]
  * Fix extremely annoying and long-standing breakage of completion
    within POSIX command substitution $().  (Closes: #742466)

  [Gabriel F. T. Gomes <gabriel@inconstante.eti.br>]
  * Revert `Extra fix for man completion' (from version 1:2.8-2).
  * Fix wildcard completion.  (Closes: #891667).

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Sat, 10 Nov 2018 18:00:06 -0200

bash-completion (1:2.8-2) unstable; urgency=low

  * Fix for held packages completion in dpkg (Closes: #907294)
  * Extra fix for man completion (Closes: #892307)
  * Fix for cvs log completion (Closes: #892080)

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Sun, 04 Nov 2018 18:01:45 -0200

bash-completion (1:2.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use install-data-hook, not install-data-local (Closes: #910128)

 -- Emmanouil Kampitakis <info+debian@kampitakis.de>  Sat, 27 Oct 2018 21:53:12 +0000

bash-completion (1:2.8-1) unstable; urgency=low

  * Update upstream sources.
  * Complete package versions with apt-get install (Closes: #640217)
  * Add support for extra dpkg-source options (Closes: #756887)
  * Add support for extra openssl commands (Closes: #779814)
  * Add support for extra aptitude commands (Closes: #867587)
  * Fix regression when MANPATH is set with colons (Closes: #892307)

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Fri, 30 Mar 2018 20:07:32 -0300

bash-completion (1:2.7-1) unstable; urgency=medium

  * New maintainer (Closes: #876095).
  * Update upstream sources (Closes: #847971).
    - Complete python commands with pyz files (Closes: #888090).
    - Fix acronym database path for wtf (Closes: #731567).
  * debhelper compatibility bumped to 11.
  * Standards-Version bump to 4.1.3:
    - Copyright format URL updated to https (required since version 4.0.0).

 -- Gabriel F. T. Gomes <gabriel@inconstante.eti.br>  Mon, 12 Feb 2018 20:36:42 -0200

bash-completion (1:2.1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop shipping the mount/umount completions
    - will be provided by mount package itself. (See: #820247)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 Apr 2016 16:03:50 +0200

bash-completion (1:2.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix location of bash-completion files
    Closes: #668254

 -- Andreas Tille <tille@debian.org>  Tue, 18 Aug 2015 21:47:32 +0200

bash-completion (1:2.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dmesg and renice completions which will instead be shipped
    from src:util-linux in their respective packages (Closes: #755986)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 06 May 2015 20:32:10 +0200

=== debian/control ===
Source: bash-completion
Section: shells
Priority: standard
Maintainer: Gabriel F. T. Gomes <gabriel@inconstante.eti.br>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: perl
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/bash-completion.git
Vcs-Browser: https://salsa.debian.org/debian/bash-completion
Homepage: https://github.com/scop/bash-completion
Rules-Requires-Root: no

Package: bash-completion
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: programmable completion for the bash shell
 bash completion extends bash's standard completion behavior to achieve
 complex command lines with just a few keystrokes.  This project was
 conceived to produce programmable completion routines for the most
 common Linux/UNIX commands, reducing the amount of typing sysadmins
 and programmers need to do on a daily basis.

## bash-completion 2.9

=== test/requirements.txt ===
black>=19.3b0
pexpect>=4
pytest>=3.5
pytest-xdist
typing;python_version<"3.5"

=== debian/changelog ===
bash-completion (1:2.9-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 00:22:24 -0700

bash-completion (1:2.9-1) unstable; urgency=medium

  * Update upstream sources (Closes: #921159, #933690, #933936).

 -- Gabriel F. T. Gomes <gabriel@inconstante.net.br>  Mon, 12 Aug 2019 08:35:04 -0300

bash-completion (1:2.8-7ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jul 2019 22:00:34 -0700

bash-completion (1:2.8-7) unstable; urgency=medium

  * Updated to Debian Policy 4.4.0.
  * Update maintainer email address.

 -- Gabriel F. T. Gomes <gabriel@inconstante.net.br>  Tue, 09 Jul 2019 23:43:09 -0300

bash-completion (1:2.8-6ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 Apr 2019 11:03:07 -0700

bash-completion (1:2.8-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.
      (LP: #1390061) (Closes: #825317)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 Apr 2018 22:16:46 -0400

## bash-completion 2.10

=== test/requirements.txt ===
black>=19.10b0;python_version>"3.6"
pexpect>=4
pytest>=3.6
pytest-xdist
typing;python_version<"3.5"

=== debian/changelog ===
bash-completion (1:2.10-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 21:31:16 -0800

bash-completion (1:2.10-1) unstable; urgency=medium

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@inconstante.net.br>  Sat, 25 Jan 2020 17:15:01 -0300

bash-completion (1:2.9-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * No-chage source-only upload to allow testing migration. 
    (Closes: #949597)

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Jan 2020 11:42:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: bash-completion
 Section: shells
 Priority: standard
-Maintainer: Gabriel F. T. Gomes <gabriel@inconstante.eti.br>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gabriel F. T. Gomes <gabriel@inconstante.net.br>
 Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: perl
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/bash-completion.git
 Vcs-Browser: https://salsa.debian.org/debian/bash-completion
 Homepage: https://github.com/scop/bash-completion

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

REMOVE=adb bts nmcli hwclock ionice mock modules mount rtcwake dmesg renice umount

override_dh_auto_configure:
	dh_auto_configure

	# needed by the testsuite
	[ -d test/log ] || mkdir -p test/log
	[ -d test/tmp ] || mkdir -p test/tmp

override_dh_compress:
	dh_compress -Xcompletions

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

dh_bash-completion.1: debian/extra/debhelper/dh_bash-completion
	pod2man \
		--center "Bash-Completion Debhelper" \
		--release $(DEB_VERSION_UPSTREAM) \
		$< > debian/extra/debhelper/$@

override_dh_install: dh_bash-completion.1
	dh_install
	for i in $(REMOVE); do \
	    rm -vf debian/bash-completion/usr/share/bash-completion/completions/$$i; \
	done

override_dh_auto_test:
	# nothing

%:
	dh $@

## bash-completion 2.11

=== test/requirements.txt ===
# Python >= 3.4 required here
pexpect>=4
pytest>=3.6
pytest-xdist
typing;python_version<"3.5"

=== debian/changelog ===
bash-completion (1:2.11-5ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Nov 2021 13:58:12 -0800

bash-completion (1:2.11-5) unstable; urgency=medium

  * Request sh instead of bash in post scripts (Closes: #999416).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Thu, 11 Nov 2021 09:06:34 -0300

bash-completion (1:2.11-4ubuntu1) jammy; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 27 Oct 2021 02:42:09 -0500

bash-completion (1:2.11-4) unstable; urgency=medium

  [ Gabriel F. T. Gomes ]
  * Backport support for python 9 from upstream (Closes: #994990).
  * Backport support for long options in perltidy (Closes: #995034).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Remove 11 maintscript entries from 1 files.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 03 Oct 2021 14:09:35 -0300

bash-completion (1:2.11-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Remove 179 maintscript entries from 1 files.

  [ Gabriel F. T. Gomes ]
  * Backport fix for TZ, TERM, LANG, and others (Closes: #988975).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 28 Aug 2021 11:47:01 -0300

bash-completion (1:2.11-3~exp1) experimental; urgency=medium

  [ Kevin Locke ]
  * Improve file matching in dh_bash-completion (Closes: #985151).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 28 Mar 2021 12:30:08 -0300

bash-completion (1:2.11-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 15-add_backslash_for_tilde.patch: Adding backslash makes sure that
      tilde is not special character for bash, but character for purpose.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 02 Sep 2020 20:44:37 +0000

bash-completion (1:2.11-2) unstable; urgency=medium

  * Provide dh-sequence-bash-completion (Closes: #951484).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Wed, 12 Aug 2020 09:14:35 -0300

bash-completion (1:2.11-1) unstable; urgency=medium

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Thu, 06 Aug 2020 21:41:33 -0300

bash-completion (1:2.10-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Fix dh_bash-completion for debhelper 13 (Closes: #965225).

  [ Gabriel F. T. Gomes ]
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from 12 to 13.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Fri, 31 Jul 2020 15:41:50 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gabriel F. T. Gomes <gabriel@inconstante.net.br>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/bash-completion.git
 Vcs-Browser: https://salsa.debian.org/debian/bash-completion
 Homepage: https://github.com/scop/bash-completion
@@ -15,6 +15,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Provides: dh-sequence-bash-completion
 Description: programmable completion for the bash shell
  bash completion extends bash's standard completion behavior to achieve
  complex command lines with just a few keystrokes.  This project was

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 REMOVE=adb bts nmcli hwclock ionice mock modules mount rtcwake dmesg renice umount
-
-override_dh_auto_configure:
-	dh_auto_configure
-
-	# needed by the testsuite
-	[ -d test/log ] || mkdir -p test/log
-	[ -d test/tmp ] || mkdir -p test/tmp
 
 override_dh_compress:
 	dh_compress -Xcompletions

## bash-completion 2.14.0

=== .github/requirements.txt ===
-r ../test/requirements-dev.txt

gitlint==0.19.1
pre-commit>=2.4.0

=== debian/changelog ===
bash-completion (1:2.14.0-2) unstable; urgency=low

  * Removed maintainer scripts that cleaned old config files from
    /etc/bash_completion.d.
  * Removed notice for Acrobat's acroread completion during bug report.
  * Add lintian override for upstream use of /etc/bash_completion.d.
  * Add CONTRIBUTING.md to the Debian package (Closes: #1070347).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Wed, 30 Oct 2024 23:09:11 -0700

bash-completion (1:2.14.0-1) unstable; urgency=medium

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Tue, 14 May 2024 21:49:28 -0700

bash-completion (1:2.13.0-1) unstable; urgency=low

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Thu, 02 May 2024 18:58:02 -0700

bash-completion (1:2.12.0-1) unstable; urgency=medium

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 28 Apr 2024 15:14:51 -0700

bash-completion (1:2.11-8) unstable; urgency=medium

  * Clean wine symlinks after build to fix FBTS at rebuild (Closes: #1044094).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 17 Sep 2023 17:38:13 -0700

bash-completion (1:2.11-7) unstable; urgency=medium

  [Gabriel F. T. Gomes]
  * Remove patch for quotes in readline (Closes: #1033847, #1033588).
  * Cherry-pick fix for ssh PubkeyAcceptedKeytypes (Closes: #1033642).

  [Heinrich Schuchardt]
  * Add showsrc and source to aptitude completion.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 16 Jul 2023 23:01:32 -0700

bash-completion (1:2.11-6) unstable; urgency=medium

  * Fix completion of find -exec commands (Closes: #1002010).
  * Recognize freecad files as zip files (Closes: #1004128).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 03 Apr 2022 09:14:34 -0300

## bash-completion 2.16.0

=== debian/changelog ===
bash-completion (1:2.16.0-8) unstable; urgency=medium

  * Backport workaround for bug in bash 5.3 (Closes: #1119845).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 02 Nov 2025 20:24:00 -0800

bash-completion (1:2.16.0-7) unstable; urgency=medium

  * Restrict recently added autopkgtest to currently working architectures.
  * Deprecate completion file for libsecret (#1093258).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 26 Jan 2025 11:49:00 -0800

bash-completion (1:2.16.0-6) unstable; urgency=low

  * Disable parallel execution of jobs in autopkgtest.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Wed, 15 Jan 2025 22:26:52 -0800

bash-completion (1:2.16.0-5) unstable; urgency=low

  * Fix dependency on automake, iproute2, and automake for autopkgtest.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Tue, 14 Jan 2025 21:09:47 -0800

bash-completion (1:2.16.0-4) unstable; urgency=low

  * Fix dependency on python3-pexpect for autopkgtest.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 12 Jan 2025 11:39:59 -0800

bash-completion (1:2.16.0-3) unstable; urgency=low

  * Update Standards-Version compliance.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 11 Jan 2025 23:09:11 -0800

bash-completion (1:2.16.0-2) unstable; urgency=low

  [Gabriel F. T. Gomes]
  * Add autopkgtest with upstream test suite.
  * Remove completion for openrc since provided by openrc package.

  [Max Nikulin]
  * Sync filename extensions with Debian's xpdf wrapper.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 11 Jan 2025 22:01:07 -0800

bash-completion (1:2.16.0-1) unstable; urgency=low

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Wed, 01 Jan 2025 18:09:29 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bash-completion
 Section: shells
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gabriel F. T. Gomes <gabriel@inconstante.net.br>
+Maintainer: Gabriel F. T. Gomes <gabriel@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/bash-completion.git
 Vcs-Browser: https://salsa.debian.org/debian/bash-completion
 Homepage: https://github.com/scop/bash-completion

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh_compress -Xcompletions
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGES
+	dh_installchangelogs CHANGELOG.md
 
 dh_bash-completion.1: debian/extra/debhelper/dh_bash-completion
 	pod2man \

=== debian/tests/control ===
Tests: upstream
Depends:
  @,
  python3-pexpect,
  python3-pytest,
  automake,
  iproute2,
  perl,
  procps,
Architecture:
  amd64,
  armel,
  armhf,
  i386,
  ppc64el,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bash-completion-$1\.tar\.gz/ \
  https://github.com/scop/bash-completion/tags .*/v?(\d\S+)\.tar\.gz

## bash-completion 20080705

=== debian/control ===
Source: bash-completion
Section: shells
Priority: standard
Maintainer: Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>
Uploaders: Luk Claes <luk@debian.org>, David Paleino <d.paleino@gmail.com>
Build-Depends: debhelper (>= 6), perl
Standards-Version: 3.8.0

Package: bash-completion
Architecture: all
Depends: bash (>= 3.1dfsg-9)
Replaces: bash (<< 3.1dfsg-9)
Description: programmable completion for the bash shell
 bash completion extends bashs standard completion behavior to achieve
 complex command lines with just a few keystrokes.  This project was
 conceived to produce programmable completion routines for the most
 common Linux/UNIX commands, reducing the amount of typing sysadmins
 and programmers need to do on a daily basis.

=== debian/watch ===
version=3
http://bash-completion.alioth.debian.org/files/bash-completion_(\d+.*)\.tar\.gz

## bash-completion 20080705ubuntu3

=== debian/changelog ===
bash-completion (20080705ubuntu3) jaunty; urgency=low

  * Revert previous 'modprobe -r' completion fix in favour of Ville Skyttä's
    upstream fix. See Debian #512556.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Feb 2009 09:10:57 +0100

bash-completion (20080705ubuntu2) jaunty; urgency=low

  * modprobe: Check for */* before checking for 'modprobe -r', to avoid
    spewing an awk syntax error (thanks, Martin Mai; LP: #316654).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Jan 2009 18:33:06 +0000

bash-completion (20080705ubuntu1) jaunty; urgency=low

  * Merge from Debian, remaining changes: (LP: #314806)
    * Add qdbus completion. (LP: #257903)
    * Fix IFS issue in _umount and correct _get_cword in _postfix
      (LP: #249337)
    * Both changes in upstream bzr.

 -- James Westby <james.westby@canonical.com>  Thu, 08 Jan 2009 10:58:40 +0000

bash-completion (20060301-4ubuntu3) jaunty; urgency=low

  * Fix IFS issue in _umount and correct _get_cword in _postfix (LP: #249337)

 -- Martin Mai <martinmai1024@web.de>  Sun, 28 Dec 2008 13:31:39 +0000

bash-completion (20060301-4ubuntu2) jaunty; urgency=low

  * Added qdbus completion (LP: 257903)

 -- Terence Simpson <tsimpson@ubuntu.com>  Thu, 14 Aug 2008 15:10:20 +0100

bash-completion (20060301-4ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
   - Don't use ucf for handling the bash_completion config file. (LP: 210013)
   - Fix _get_cword more
   - Fix _command function to correctly prune the command line (LP: 103395)
   - Remove newline from options pattern for dpkg (LP: 138312)
   - Start readline-quoting arguments to compgen (LP: 123665)
   - Save and restore -v shell option (LP: 205444)
   - Prevent glob expansion in _filedir function (LP: 194419)
   - Quote glob expression in tar completion function (LP: 194419)
   - Complete AAS/SSA files for mplayer -sub (LP: 151086)
   - Disable completion of postgresql users and databases (LP: 164772)
   - Use files from UserKnownHostsFile options in addition to standard ones
     (LP: 211180)
   - Fixed completion of hostnames and files with scp
   - Fix tar completion to handle "tar rf" the same as "tar cf" (LP: 94407)
   - Complete .divx and .flv for media players (LP: 127605)
   - Complete all files for "gzip ... <" (LP: 127605)
   - Allow whitespace in front of GlobalKnownHostsFile etc. (LP: 128866)
   - Complete compressed files for vim (LP: 149494)
   - Always use /etc/hosts and $HOSTFILE for host completion too (LP: 184175)
   - Modify Maintainer value to match the DebianMaintainerField
     specification.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 19 Jun 2008 11:58:17 -0700

bash-completion (20060301-3ubuntu3) hardy; urgency=low

  * Don't use ucf for handling the bash_completion config file. Avoids
    prompting the user for a changed config file, if the config file is
    unchanged (and only moved to the bash-completion package). LP: #210013.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Apr 2008 01:21:38 +0200

bash-completion (20060301-3ubuntu2) hardy; urgency=low

  * Bugfix release:
   - Fix _get_cword more
   - Fix _command function to correctly prune the command line (LP: #103395)
   - Remove newline from options pattern for dpkg (LP: #138312)
   - Start readline-quoting arguments to compgen (LP: #123665)
   - Save and restore -v shell option (LP: #205444)
   - Prevent glob expansion in _filedir function (LP: #194419)
   - Quote glob expression in tar completion function (LP: #194419)
   - Complete AAS/SSA files for mplayer -sub (LP: #151086)
   - Disable completion of postgresql users and databases (LP: #164772)
   - Use files from UserKnownHostsFile options in addition to standard ones
     (LP: #211180)

 -- Mika Fischer <mika.fischer@zoopnet.de>  Sat, 05 Apr 2008 16:09:34 +0200

bash-completion (20060301-3ubuntu1) hardy; urgency=low

  * Bug fix upload (LP: #194860)
   - Fixed completion of filenames with spaces
   - Fixed completion of hostnames with scp
   - Fixed completion of filenames with scp
   - Fixed parsing of SSH config files to parse Host and HostName lines
     correctly. Previously "HostName host" lines were parsed as two hosts:
     "Name" and "host".
  * More bugfixes:
   - Fix tar completion to handle "tar rf" the same as "tar cf" (LP: #94407)
   - Complete .m4v and .M4V for media players (LP: #115224)
   - Complete .divx and .flv for media players (LP: #127605)
   - Complete all files for "gzip ... <" (LP: #127605)
   - Allow whitespace in front of GlobalKnownHostsFile etc. (LP: #128866)
   - Complete compressed files for vim (LP: #149494)
   - Always use /etc/hosts and $HOSTFILE for host completion too (LP: #184175)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Mika Fischer <mika.fischer@zoopnet.de>  Sat, 15 Mar 2008 19:46:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: bash-completion
 Section: shells
 Priority: standard
-Maintainer: Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>
 Uploaders: Luk Claes <luk@debian.org>, David Paleino <d.paleino@gmail.com>
 Build-Depends: debhelper (>= 6), perl
 Standards-Version: 3.8.0
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/bash-completion/ubuntu
 
 Package: bash-completion
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION=$(shell parsechangelog | grep ^Version | awk -F": " '{print $$2}' | cut -d"-" -f1)
d = debian/bash-completion

dh_bash-completion.1: extra/dh_bash-completion
	pod2man \
		--center "Bash-Completion Debhelper" \
		--release $(VERSION) \
		$< > extra/$@

build: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install
	dh_link

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README TODO
	dh_installman
	dh_compress -Xcontrib
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
